public static List <CivilDynamoTools.LabelStyles.Alignments.Station.MinorStationLabel> GetMinorStationLabels(Autodesk.AutoCAD.DynamoNodes.Document document) { List <CivilDynamoTools.LabelStyles.Alignments.Station.MinorStationLabel> retLabels = new List <CivilDynamoTools.LabelStyles.Alignments.Station.MinorStationLabel>(); foreach (DBObject dbObj in GetLabelStylesAsDBObjects(document, CivilDocument.GetCivilDocument(document.AcDocument.Database).Styles.LabelStyles.AlignmentLabelStyles.MinorStationLabelStyles)) { MinorStationLabel labelObject = new MinorStationLabel(dbObj, false); retLabels.Add(labelObject); } return(retLabels); }
public static MinorStationLabel ByName(Autodesk.AutoCAD.DynamoNodes.Document document, string labelStyleName) { MinorStationLabel retLabel = new MinorStationLabel(DBObjectByName(document, CivilDocument.GetCivilDocument(document.AcDocument.Database).Styles.LabelStyles.AlignmentLabelStyles.MinorStationLabelStyles, labelStyleName), false); return(retLabel); }
public static MinorStationLabel ByIndex(Autodesk.AutoCAD.DynamoNodes.Document document, int index) { MinorStationLabel retLabel = new MinorStationLabel(DBObjectByIndex(document, CivilDocument.GetCivilDocument(document.AcDocument.Database).Styles.LabelStyles.AlignmentLabelStyles.MinorStationLabelStyles, index), false); return(retLabel); }